Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# BulletWorld Class Reference

List of all members.

## Public Types
enum | BroadphaseAlgorithm { BASweepAndPrune = 0, BADynamicAabbTree = 1 }
enum | FilterAlgorithm { FAMask = 0, FAGroupsMask = 1 }
## Public Member Functions
| BulletWorld ()
| attachCharacter (BulletBaseCharacterControllerNode node)
| attachConstraint (BulletConstraint constraint)
| attachGhost (BulletGhostNode node)
| attachRigidBody (BulletRigidBodyNode node)
| attachSoftBody (BulletSoftBodyNode node)
| attachVehicle (BulletVehicle vehicle)
| clearDebugNode ()
BulletContactResult | contactTest (PandaNode node)
BulletContactResult | contactTestPair (PandaNode node0, PandaNode node1)
int | doPhysics (float dt, int max_substeps, float stepsize)
int | doPhysics (float dt, int max_substeps)
int | doPhysics (float dt)
BulletBaseCharacterControllerNode | getCharacter (int idx)
list | getCharacters ()
BulletConstraint | getConstraint (int idx)
list | getConstraints ()
BulletGhostNode | getGhost (int idx)
list | getGhosts ()
Vec3 const | getGravity ()
bool | getGroupCollisionFlag (unsigned int group1, unsigned int group2)
BulletPersistentManifold | getManifold (int idx)
list | getManifolds ()
int | getNumCharacters ()
int | getNumConstraints ()
int | getNumGhosts ()
int | getNumManifolds ()
int | getNumRigidBodies ()
int | getNumSoftBodies ()
int | getNumVehicles ()
list | getRigidBodies ()
BulletRigidBodyNode | getRigidBody (int idx)
list | getSoftBodies ()
BulletSoftBodyNode | getSoftBody (int idx)
BulletVehicle | getVehicle (int idx)
list | getVehicles ()
BulletSoftBodyWorldInfo | getWorldInfo ()
BulletAllHitsRayResult | rayTestAll (Point3 const from_pos, Point3 const to_pos, BitMaskunsigned int, 32 const mask)
BulletAllHitsRayResult | rayTestAll (Point3 const from_pos, Point3 const to_pos)
BulletClosestHitRayResult | rayTestClosest (Point3 const from_pos, Point3 const to_pos, BitMaskunsigned int, 32 const mask)
BulletClosestHitRayResult | rayTestClosest (Point3 const from_pos, Point3 const to_pos)
| removeCharacter (BulletBaseCharacterControllerNode node)
| removeConstraint (BulletConstraint constraint)
| removeGhost (BulletGhostNode node)
| removeRigidBody (BulletRigidBodyNode node)
| removeSoftBody (BulletSoftBodyNode node)
| removeVehicle (BulletVehicle vehicle)
| setDebugNode (BulletDebugNode node)
| setGravity (Vec3 const gravity)
| setGravity (float gx, float gy, float gz)
| setGroupCollisionFlag (unsigned int group1, unsigned int group2, bool enable)
BulletClosestHitSweepResult | sweepTestClosest (BulletShape shape, TransformState const from_ts, TransformState const to_ts)
BulletClosestHitSweepResult | sweepTestClosest (BulletShape shape, TransformState const from_ts, TransformState const to_ts, BitMaskunsigned int, 32 const mask, float penetration)
BulletClosestHitSweepResult | sweepTestClosest (BulletShape shape, TransformState const from_ts, TransformState const to_ts, BitMaskunsigned int, 32 const mask)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Member Enumeration Documentation

enum BroadphaseAlgorithm

Enumerator:

  BASweepAndPrune |
  BADynamicAabbTree |

enum FilterAlgorithm

Enumerator:

  FAMask |
  FAGroupsMask |

## Constructor & Destructor Documentation

BulletWorld | ( |  | ) |

## Member Function Documentation

attachCharacter | ( | BulletBaseCharacterControllerNode | node | ) |

attachConstraint | ( | BulletConstraint | constraint | ) |

attachGhost | ( | BulletGhostNode | node | ) |

attachRigidBody | ( | BulletRigidBodyNode | node | ) |

attachSoftBody | ( | BulletSoftBodyNode | node | ) |

attachVehicle | ( | BulletVehicle | vehicle | ) |

clearDebugNode | ( |  | ) |

BulletContactResult contactTest | ( | PandaNode | node | ) |

BulletContactResult contactTestPair | ( | PandaNode | node0,
|  | PandaNode | node1
| ) |  |

int doPhysics | ( | float | dt,
|  | int | max_substeps
| ) |  |

int doPhysics | ( | float | dt,
|  | int | max_substeps,
|  | float | stepsize
| ) |  |

int doPhysics | ( | float | dt | ) |

BulletBaseCharacterControllerNode getCharacter | ( | int | idx | ) |

list getCharacters | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

BulletConstraint getConstraint | ( | int | idx | ) |

list getConstraints | ( |  | ) |

BulletGhostNode getGhost | ( | int | idx | ) |

list getGhosts | ( |  | ) |

Vec3 const getGravity | ( |  | ) |

bool getGroupCollisionFlag | ( | unsigned int | group1,
|  | unsigned int | group2
| ) |  |

BulletPersistentManifold getManifold | ( | int | idx | ) |

list getManifolds | ( |  | ) |

int getNumCharacters | ( |  | ) |

int getNumConstraints | ( |  | ) |

int getNumGhosts | ( |  | ) |

int getNumManifolds | ( |  | ) |

int getNumRigidBodies | ( |  | ) |

int getNumSoftBodies | ( |  | ) |

int getNumVehicles | ( |  | ) |

list getRigidBodies | ( |  | ) |

BulletRigidBodyNode getRigidBody | ( | int | idx | ) |

list getSoftBodies | ( |  | ) |

BulletSoftBodyNode getSoftBody | ( | int | idx | ) |

BulletVehicle getVehicle | ( | int | idx | ) |

list getVehicles | ( |  | ) |

BulletSoftBodyWorldInfo getWorldInfo | ( |  | ) |

BulletAllHitsRayResult rayTestAll | ( | Point3 const | from_pos,
|  | Point3 const | to_pos,
|  | BitMaskunsigned | int,
|  | 32 const | mask
| ) |  |

BulletAllHitsRayResult rayTestAll | ( | Point3 const | from_pos,
|  | Point3 const | to_pos
| ) |  |

BulletClosestHitRayResult rayTestClosest | ( | Point3 const | from_pos,
|  | Point3 const | to_pos,
|  | BitMaskunsigned | int,
|  | 32 const | mask
| ) |  |

BulletClosestHitRayResult rayTestClosest | ( | Point3 const | from_pos,
|  | Point3 const | to_pos
| ) |  |

removeCharacter | ( | BulletBaseCharacterControllerNode | node | ) |

removeConstraint | ( | BulletConstraint | constraint | ) |

removeGhost | ( | BulletGhostNode | node | ) |

removeRigidBody | ( | BulletRigidBodyNode | node | ) |

removeSoftBody | ( | BulletSoftBodyNode | node | ) |

removeVehicle | ( | BulletVehicle | vehicle | ) |

setDebugNode | ( | BulletDebugNode | node | ) |

setGravity | ( | float | gx,
|  | float | gy,
|  | float | gz
| ) |  |

setGravity | ( | Vec3 const | gravity | ) |

setGroupCollisionFlag | ( | unsigned int | group1,
|  | unsigned int | group2,
|  | bool | enable
| ) |  |

BulletClosestHitSweepResult sweepTestClosest | ( | BulletShape | shape,
|  | TransformState const | from_ts,
|  | TransformState const | to_ts,
|  | BitMaskunsigned | int,
|  | 32 const | mask,
|  | float | penetration
| ) |  |

BulletClosestHitSweepResult sweepTestClosest | ( | BulletShape | shape,
|  | TransformState const | from_ts,
|  | TransformState const | to_ts
| ) |  |

BulletClosestHitSweepResult sweepTestClosest | ( | BulletShape | shape,
|  | TransformState const | from_ts,
|  | TransformState const | to_ts,
|  | BitMaskunsigned | int,
|  | 32 const | mask
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties